package com.ozs.mdm.dto;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;

/**
 * 
 * @ClassName: CreateTableCopyDTO
 * @Description:扫描复制建表传参类
 * @author: Zhao You Kai
 * @date: Mar 5, 2019 3:15:17 PM
 */
public class CreateTableCopyDTO {

	@ApiModelProperty("表所在数据库ID")
	private String databaseId;

	@ApiModelProperty("目标库ID")
	private String targetDatabaseId;

	@ApiModelProperty("目标库ID")
	private List<String> tableIds;
	@ApiModelProperty("操作人ID")
	private String updateUserId;

	public String getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(String updateUserId) {
		this.updateUserId = updateUserId;
	}

	public String getDatabaseId() {
		return databaseId;
	}

	public void setDatabaseId(String databaseId) {
		this.databaseId = databaseId;
	}

	public String getTargetDatabaseId() {
		return targetDatabaseId;
	}

	public void setTargetDatabaseId(String targetDatabaseId) {
		this.targetDatabaseId = targetDatabaseId;
	}

	public List<String> getTableIds() {
		return tableIds;
	}

	public void setTableIds(List<String> tableIds) {
		this.tableIds = tableIds;
	}

}
